Page MenuHomePhabricator

Publishing fails when publish target is User namespace
Closed, ResolvedPublic

Description

Atleast two users reported issue about publishing failure in eswiki while selecting User namespace.

I tried same and console gives,


load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:140 POST https://es.wikipedia.org/api/rest_v1/transform/wikitext/to/html/User:KartikMistry/Aerom%C3%A9xico 400 ()

send	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:140
ajax	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:134
jQuery.(anonymous function)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:136
mw.cx.wikitextToHTML	@	VM141:52
Template.getUpdatedTemplate	@	load.php?debug=false&lang=en&modules=ext.cx.pageselector%2Cprogressbar%2Cto…mplate.card%2Ceditor|ext.cx.widgets.overlay&skin=vector&version=18jzfqo:96
TemplateTool.updateTargetTemplate	@	load.php?debug=false&lang=en&modules=ext.cx.pageselector%2Cprogressbar%2Cto…plate.card%2Ceditor|ext.cx.widgets.overlay&skin=vector&version=18jzfqo:101
(anonymous)	@	load.php?debug=false&lang=en&modules=ext.cx.pageselector%2Cprogressbar%2Cto…plate.card%2Ceditor|ext.cx.widgets.overlay&skin=vector&version=18jzfqo:105
(anonymous)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
fireWith	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
(anonymous)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
fireWith	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
deferred.(anonymous function)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
fireWith	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
deferred.(anonymous function)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
add	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
(anonymous)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
fireWith	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
deferred.(anonymous function)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
fireWith	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
(anonymous)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
fireWith	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
deferred.(anonymous function)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
fireWith	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
deferred.(anonymous function)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
fireWith	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
(anonymous)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
fireWith	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
deferred.(anonymous function)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
fireWith	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
deferred.(anonymous function)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
(anonymous)	@	VM141:10
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
fireWith	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
done	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:135
callback	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:141
XMLHttpRequest.send (async)		
send	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:140
ajax	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:134
ajax	@	VM141:9
CoreForeignApi.ajax	@	VM141:28
(anonymous)	@	VM141:31
(anonymous)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
add	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
(anonymous)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
each	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:5
(anonymous)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
Deferred	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
then	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
CentralAuthForeignApi.ajax	@	VM141:30
get	@	VM141:8
Template.getTemplateParamsUsingSource	@	load.php?debug=false&lang=en&modules=ext.cx.pageselector%2Cprogressbar%2Cto…mplate.card%2Ceditor|ext.cx.widgets.overlay&skin=vector&version=18jzfqo:93
(anonymous)	@	load.php?debug=false&lang=en&modules=ext.cx.pageselector%2Cprogressbar%2Cto…mplate.card%2Ceditor|ext.cx.widgets.overlay&skin=vector&version=18jzfqo:92
(anonymous)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
fireWith	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
deferred.(anonymous function)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
fireWith	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
deferred.(anonymous function)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
(anonymous)	@	VM141:10
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
fireWith	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
done	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:135
callback	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:141
XMLHttpRequest.send (async)		
send	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:140
ajax	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:134
ajax	@	VM141:9
CoreForeignApi.ajax	@	VM141:28
(anonymous)	@	VM141:31
(anonymous)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
add	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
(anonymous)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
each	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:5
(anonymous)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
Deferred	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
then	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
CentralAuthForeignApi.ajax	@	VM141:30
get	@	VM141:8
(anonymous)	@	load.php?debug=false&lang=en&modules=ext.cx.pageselector%2Cprogressbar%2Cto…mplate.card%2Ceditor|ext.cx.widgets.overlay&skin=vector&version=18jzfqo:92
(anonymous)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
fireWith	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
(anonymous)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
fireWith	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
deferred.(anonymous function)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
fireWith	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
deferred.(anonymous function)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
(anonymous)	@	VM141:10
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
fireWith	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
done	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:135
callback	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:141
XMLHttpRequest.send (async)		
send	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:140
ajax	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:134
ajax	@	VM141:9
CoreForeignApi.ajax	@	VM141:28
(anonymous)	@	VM141:31
(anonymous)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
add	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
(anonymous)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
each	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:5
(anonymous)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
Deferred	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
then	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
CentralAuthForeignApi.ajax	@	VM141:30
get	@	VM141:8
Template.getNamespaceTranslation	@	load.php?debug=false&lang=en&modules=ext.cx.pageselector%2Cprogressbar%2Cto…mplate.card%2Ceditor|ext.cx.widgets.overlay&skin=vector&version=18jzfqo:93
(anonymous)	@	load.php?debug=false&lang=en&modules=ext.cx.pageselector%2Cprogressbar%2Cto…mplate.card%2Ceditor|ext.cx.widgets.overlay&skin=vector&version=18jzfqo:87
(anonymous)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
fireWith	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
(anonymous)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
fireWith	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
deferred.(anonymous function)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
fireWith	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
deferred.(anonymous function)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
(anonymous)	@	VM141:10
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
fireWith	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
done	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:135
callback	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:141
XMLHttpRequest.send (async)		
send	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:140
ajax	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:134
ajax	@	VM141:9
CoreForeignApi.ajax	@	VM141:28
(anonymous)	@	VM141:31
(anonymous)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
add	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
(anonymous)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
each	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:5
(anonymous)	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
Deferred	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:47
then	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
CentralAuthForeignApi.ajax	@	VM141:30
get	@	VM141:8
Template.getTargetTitle	@	load.php?debug=false&lang=en&modules=ext.cx.pageselector%2Cprogressbar%2Cto…mplate.card%2Ceditor|ext.cx.widgets.overlay&skin=vector&version=18jzfqo:95
Template.init	@	load.php?debug=false&lang=en&modules=ext.cx.pageselector%2Cprogressbar%2Cto…mplate.card%2Ceditor|ext.cx.widgets.overlay&skin=vector&version=18jzfqo:87
Template	@	load.php?debug=false&lang=en&modules=ext.cx.pageselector%2Cprogressbar%2Cto…mplate.card%2Ceditor|ext.cx.widgets.overlay&skin=vector&version=18jzfqo:86
TemplateTool.static.processTemplate	@	load.php?debug=false&lang=en&modules=ext.cx.pageselector%2Cprogressbar%2Cto…plate.card%2Ceditor|ext.cx.widgets.overlay&skin=vector&version=18jzfqo:104
TemplateTool.static.processBlockTemplate	@	load.php?debug=false&lang=en&modules=ext.cx.pageselector%2Cprogressbar%2Cto…plate.card%2Ceditor|ext.cx.widgets.overlay&skin=vector&version=18jzfqo:106
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
fireWith	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
fire	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:176
sectionClick	@	load.php?debug=false&lang=en&modules=ext.cx.publish%2Ctranslation|ext.cx.publish.dialog&skin=vector&version=1o4ffnt:14
dispatch	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:65
elemData.handle	@	load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:60

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : wmf/1.30.0-wmf.16encodeURIComponent title to escape / properly
mediawiki/extensions/ContentTranslation : masterencodeURIComponent title to escape / properly

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2017, 2:13 PM
KartikMistry triaged this task as High priority.Sep 1 2017, 2:19 PM
KartikMistry added a comment.EditedSep 1 2017, 3:32 PM

More details: Network response looks like:

{"type":"https://mediawiki.org/wiki/HyperSwitch/errors/bad_request","title":"Invalid parameters","method":"post","detail":"data.params.revision should be an integer","uri":"/gu.wikipedia.org/v1/transform/wikitext/to/html/%E0%AA%B8%E0%AA%AD%E0%AB%8D%E0%AA%AF%3AKartikMistry/Hello%20Kitty"}

Change 375406 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/extensions/ContentTranslation@master] encodeURIComponent title to escape / properly

https://gerrit.wikimedia.org/r/375406

The impact per my understanding: Any page having / in the target name (i.e. when publishing to user namespace) and containing a certain kind of template which needs wikitext2html conversion. Likely been happening since January 2017.

Reason: Because / is not escaped properly, parsoid tries to parse the value after first / as revision number and that fails and we do not handle that failure nicely. Fixed by adding proper escaping.

Change 375406 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] encodeURIComponent title to escape / properly

https://gerrit.wikimedia.org/r/375406

Change 375954 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/extensions/ContentTranslation@wmf/1.30.0-wmf.16] encodeURIComponent title to escape / properly

https://gerrit.wikimedia.org/r/375954

Change 375954 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@wmf/1.30.0-wmf.16] encodeURIComponent title to escape / properly

https://gerrit.wikimedia.org/r/375954

Mentioned in SAL (#wikimedia-operations) [2017-09-05T13:47:43Z] <zfilipin@tin> Synchronized php-1.30.0-wmf.16/extensions/ContentTranslation/: SWAT: [[gerrit:375954|encodeURIComponent title to escape / properly (T174792)]] (duration: 00m 48s)

KartikMistry moved this task from QA to Done on the Language-2017-July-Sept board.Sep 5 2017, 2:04 PM
Arrbee closed this task as Resolved.Sep 13 2017, 7:05 AM
Arrbee claimed this task.
Petar.petkovic removed a project: Patch-For-Review.
Petar.petkovic edited subscribers, added: Arrbee; removed: Stashbot, gerritbot.